---

- name: add alias to access app folder as '{{ alias_name }}'
  lineinfile:
     path: /etc/bash.bashrc
     line: alias {{ alias_name }}='cd {{ target_path }}'
     create: yes
     state: present
     insertafter: EOF
  tags: bashrc

- name: create apps folder '{{ target_path }}'
  file:
    path: "{{ target_path }}"
    state: directory
    mode: 0764
    owner: "{{ ansible_user }}"
    group: root

- name: create apps backup folder '{{ backup_path }}'
  file:
    path: "{{ backup_path }}"
    state: directory
    mode: 0764
    owner: "{{ ansible_user }}"
    group: root

- name: Perform a backup on remote host at '{{ backup_path }}'
  copy:
     src: files/
     dest: "{{ backup_path }}"
     owner: "{{ ansible_user }}"
     group: root
  tags: configs

- name: Copy docker apps configurations on remote host at '{{ target_path }}'
  copy:
     src: files/
     dest: "{{ target_path }}"
     owner: "{{ ansible_user }}"
     group: root
  tags: configs
